Subject: Re: Compile error due to po/fr.po on old gettext in v2.21.0

From: Jean-Noël AVILA <[email-masked]>
Date: Mon, 25 Feb 2019 21:54:35 +0100

On Monday, 25 February 2019 21:19:53 CET Ævar Arnfjörð Bjarmason wrote:
> On a NetBSD test box I have with msgfmt 0.14.4 v2.21.0 fails to compile.
> 
> I didn't spot this in rc2 because b3225a4183 ("l10n: fr.po v2.21.0 rnd
> 2", 2019-02-13) along with the rest of i18n updates gets pulled in after
> all the RCs.
> 
> I.e. this is because of the comments being parsed (fuzzy comments).
> 
> The 0.14.4 gettext release was back in 2005, so presumably this is due
> to some GPLv3 allergy of NetBSD's. The OS version itself is 7.1,
> released a couple of years ago.
> 

I kept the commented entries as a translation memory, even when they are 
fuzzy.

Would unfuzzying these entries resolve the issue?